Crear una tarjeta nueva
curl --request POST \
--url https://api.hubapi.com/crm/extensions/cards-dev/2026-03/{appId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"actions": {
"baseUrls": [
"<string>"
]
},
"display": {
"properties": [
{
"label": "<string>",
"name": "<string>",
"options": [
{
"label": "<string>",
"name": "<string>"
}
]
}
]
},
"fetch": {
"objectTypes": [
{
"propertiesToSend": [
"<string>"
]
}
],
"targetUrl": "<string>",
"serverlessFunction": "<string>"
},
"title": "<string>"
}
'import requests
url = "https://api.hubapi.com/crm/extensions/cards-dev/2026-03/{appId}"
payload = {
"actions": { "baseUrls": ["<string>"] },
"display": { "properties": [
{
"label": "<string>",
"name": "<string>",
"options": [
{
"label": "<string>",
"name": "<string>"
}
]
}
] },
"fetch": {
"objectTypes": [{ "propertiesToSend": ["<string>"] }],
"targetUrl": "<string>",
"serverlessFunction": "<string>"
},
"title": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
actions: {baseUrls: ['<string>']},
display: {
properties: [
{
label: '<string>',
name: '<string>',
options: [{label: '<string>', name: '<string>'}]
}
]
},
fetch: {
objectTypes: [{propertiesToSend: ['<string>']}],
targetUrl: '<string>',
serverlessFunction: '<string>'
},
title: '<string>'
})
};
fetch('https://api.hubapi.com/crm/extensions/cards-dev/2026-03/{appId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"actions": {
"baseUrls": [
"<string>"
]
},
"auditHistory": [
{
"applicationId": 123,
"changedAt": 123,
"initiatingUserId": 123,
"objectTypeId": 123
}
],
"display": {
"properties": [
{
"label": "<string>",
"name": "<string>",
"options": [
{
"label": "<string>",
"name": "<string>"
}
]
}
]
},
"fetch": {
"objectTypes": [
{
"propertiesToSend": [
"<string>"
]
}
],
"targetUrl": "<string>"
},
"id": "<string>",
"title": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Tarjetas del CRM
Create a new card
Define una nueva tarjeta que se activará en una cuenta cuando se instale esta aplicación.
POST
/
crm
/
extensions
/
cards-dev
/
2026-03
/
{appId}
Crear una tarjeta nueva
Supported products
Supported products
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
Parámetros de ruta
El appId de la aplicación que contiene las tarjetas del CRM anteriores
Cuerpo
application/json
Respuesta
successful operation
Show child attributes
Show child attributes
Una lista de acciones realizadas en la tarjeta, que incluyen creación, eliminación y actualizaciones.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
El ID único de la tarjeta.
El título de nivel superior de esta tarjeta. Se muestra a los usuarios en la UI del CRM.
La fecha y hora en que se creó la tarjeta.
La fecha y hora en que se actualizó por última vez la tarjeta.
Última modificación el 3 de abril de 2026
⌘I